package com.elab.annotation;

import java.lang.annotation.*;

/**
 * @Module 注解
 * @Description 作者
 * @Author liukaixiong
 * @Date 2021/1/22 19:29
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
public @interface Author {

    /**
     * 作者名称
     *
     * @return
     */
    String[] nickname() default {};

}
