package com.elab.core.dao;

import java.util.List;

/**
 * 基于案例的拓展类
 *
 * @author Liukx
 * @create 2018-04-27 9:34
 * @email liukx@elab-plus.com
 **/
public interface IExampleDaoSupport<T, E> extends IBaseDaoSupport<T> {

    /**
     * 查询一个对象,参数是由构造参数传递
     *
     * @param queryRule
     * @return
     * @throws Exception
     */
    public List<T> find(E queryRule) throws Exception;
}
