package com.elab.redis.annotation;

import com.elab.redis.config.CacheAutoConfiguration;
import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
@Documented
@Import({CacheAutoConfiguration.class})
public @interface EnableElabRedis {

    String[] value() default {};

}
