package com.elab.spring.anno;

import com.elab.annotation.Author;
import com.elab.annotation.Description;
import com.elab.core.aop.annotations.ExceptionHandle;
import org.springframework.core.annotation.AliasFor;

import java.lang.annotation.*;

/**
 * @Module TODO
 * @Description TODO
 * @Author liukaixiong
 * @Date 2021/1/22 19:41
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
@Author
@ExceptionHandle
@Description
public @interface MQOperation {

    @AliasFor(annotation = Author.class, attribute = "nickname")
    String[] nickname() default {};

    @AliasFor(annotation = Description.class, attribute = "describe")
    String describe() default "";

}
