package com.elab.spring.design.group.test;

import com.elab.spring.config.ThreadConfiguration;
import com.elab.spring.design.group.GroupInvocationManager;
import com.elab.spring.design.group.test.group.AGroup;
import com.elab.spring.design.group.test.group.BGroup;
import com.elab.spring.design.group.test.group.CGroup;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = {TestGroupProcess.class, GroupInvocationManager.class, AGroup.class, BGroup.class,
    CGroup.class, ThreadConfiguration.class})
public class Main {

    @Autowired
    private TestGroupProcess testGroupProcess;

    @Test
    public void test() throws Exception {
        testGroupProcess.invoke("lkx");
    }

}
