package com.db.service.impl;

import com.db.service.ITrainItemService;
import com.db.service.dao.ITrainItemDao;
import com.db.service.model.TrainItem;
import com.elab.core.dao.IBaseDaoSupport;
import com.elab.core.services.impl.CommonServiceAdaptor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author liuhx
 * @create 2019/04/02 10:35
 * @email liuhx@elab-plus.com
 **/
@Service
public class TrainItemServiceImpl extends CommonServiceAdaptor<TrainItem> implements ITrainItemService {

    @Autowired
    private ITrainItemDao trainItemDao;

    @Override
    protected IBaseDaoSupport<TrainItem> getBaseDaoSupport() {
        return trainItemDao;
    }
}
