package com.elab.mongodb.chain.model;

import org.springframework.data.mongodb.core.CollectionCallback;

/**
 * mongo执行方法请求参数
 *
 * @author liukaixiong
 * @date 2022/8/15 - 9:51
 */
public class MongoExecutorRequest {

    private String collectionName;
    private CollectionCallback<Object> callback;

    public MongoExecutorRequest(String collectionName, CollectionCallback callback) {
        this.collectionName = collectionName;
    }

    public String getCollectionName() {
        return collectionName;
    }

    public void setCollectionName(String collectionName) {
        this.collectionName = collectionName;
    }

    public CollectionCallback<Object> getCallback() {
        return callback;
    }

    public void setCallback(CollectionCallback<Object> callback) {
        this.callback = callback;
    }
}
