package com.elab.mongodb.chain.model;

import org.springframework.data.mongodb.core.query.Query;
import org.springframework.data.mongodb.core.query.Update;

/**
 * @author liukaixiong
 * @date 2022/8/16 - 17:04
 */
public class MongoUpdateRequest {

    private String collectionName;
    private Query query;
    private Update update;

    public MongoUpdateRequest(String collectionName, Query query, Update update) {
        this.collectionName = collectionName;
        this.query = query;
        this.update = update;
    }

    public String getCollectionName() {
        return collectionName;
    }

    public void setCollectionName(String collectionName) {
        this.collectionName = collectionName;
    }

    public Query getQuery() {
        return query;
    }

    public void setQuery(Query query) {
        this.query = query;
    }

    public Update getUpdate() {
        return update;
    }

    public void setUpdate(Update update) {
        this.update = update;
    }
}
