///*
// * Licensed to the Apache Software Foundation (ASF) under one or more
// * contributor license agreements.  See the NOTICE file distributed with
// * this work for additional information regarding copyright ownership.
// * The ASF licenses this file to You under the Apache License, Version 2.0
// * (the "License"); you may not use this file except in compliance with
// * the License.  You may obtain a copy of the License at
// *
// *     http://www.apache.org/licenses/LICENSE-2.0
// *
// * Unless required by applicable law or agreed to in writing, software
// * distributed under the License is distributed on an "AS IS" BASIS,
// * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// * See the License for the specific language governing permissions and
// * limitations under the License.
// */
//
//package com.elab.mq.rocket.consumer;
//
//import com.elab.mq.rocket.listener.DefaultRocketMQListener;
//import org.apache.rocketmq.spring.annotation.RocketMQMessageListener;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springframework.stereotype.Service;
//
///**
// * RocketMQMessageListener
// * 普通消息
// */
//@Service
//@RocketMQMessageListener(topic = "${demo.rocketmq.topic}", consumerGroup = "string_consumer")
//public class StringConsumer extends DefaultRocketMQListener {
//    private Logger logger = LoggerFactory.getLogger(StringConsumer.class);
//
//    @Override
//    public String tag() {
//        return "";
//    }
//
//    @Override
//    public void processMessage(String message) throws Exception {
//        logger.info("--------------------消费完成-->>>>" + message);
//
//    }
//}
