package com.elab.spring.utils;

import com.alibaba.fastjson.JSON;
import com.elab.spring.utils.event.EventA;
import org.springframework.context.ApplicationListener;
import org.springframework.core.Ordered;
import org.springframework.core.annotation.Order;

import java.lang.annotation.Annotation;

public class Source2ApplicationListener implements ApplicationListener<EventA> {

    @Override
    public void onApplicationEvent(EventA event) {
        System.out.println("SourceApplicationListener2 消费到: " + JSON.toJSONString(event.getSource()));
    }
}
